"""
Autogenerated module using `pop-create-idem <https://gitlab.com/saltstack/pop/pop-create-idem>`__
"""


async def get_storage_specs_for_a_host(hub, ctx, org: str, sddc: str, cluster: str, esx: str) -> None:
    """
    **Autogenerated function**
    
    Get storage specs for a host.

    Args:
        org(str): Organization identifier.
        sddc(str): Sddc identifier.
        cluster(str): cluster identifier.
        esx(str): esx identifier.

    Returns:
        None

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.vmc.storage_spec.get_storage_specs_for_a_host(ctx, org=value, sddc=value, cluster=value, esx=value)

        Call from CLI:

        .. code-block:: bash

            idem exec vmc.storage_spec.get_storage_specs_for_a_host org=value, sddc=value, cluster=value, esx=value
    """

    return await hub.tool.http.session.request(
        ctx,
        method="get",
        path=ctx.acct.endpoint_url + "/orgs/{org}/sddcs/{sddc}/clusters/{cluster}/esxs/{esx}/storage-spec".format(**{"org": org, "sddc": sddc, "cluster": cluster, "esx": esx}),
        query_params={},
        data={}
    )

